diff python/pydc/test/Makefile @ 63:9b6cdffd30dd

- further fixes of inccorect overflow errors for int (and long on LLP64 systems) * prev commit had bugs * added overflow tests for also int, long, long long (for both, lp64 and llp64) - while at it, fixing a reference leak when not using python with utf8 caching
author Tassilo Philipp
date Sun, 19 May 2024 15:33:18 +0200
parents 8e905c0798c7
children
line wrap: on
line diff
--- a/python/pydc/test/Makefile	Sat May 18 15:33:54 2024 +0200
+++ b/python/pydc/test/Makefile	Sun May 19 15:33:18 2024 +0200
@@ -4,6 +4,8 @@
 	(for i in char 'unsigned char' short 'unsigned short' int 'unsigned int' long 'unsigned long' 'long long' 'unsigned long long' float double 'const char*'; do \
 		echo "$$i `echo $$i | sed -E 's/\*/ p/;s/(^| )([a-z])[^ ]*/\2/g'`_plus_one($$i v) { return v+1; }"; \
 	done; \
-	echo 'void cp_head_incr(char* v) { v[0]+=1; }') | ${CC} -`[ \`uname\` = Darwin ] && echo dynamiclib || echo shared` -x c - -o $@
+	echo 'void cp_head_incr(char* v) { v[0]+=1; }'; \
+	echo 'int llp64() { return sizeof(int) == sizeof(long); }') | \
+		${CC} -`[ \`uname\` = Darwin ] && echo dynamiclib || echo shared` -x c - -o $@
 	@echo Done! Now you can run types_test.py